Subject: bug#63865: 29.0.90; call-process while owning the X selection hangs other processes

From: Eli Zaretskii <[email-masked]>
Date: Sat, 03 Jun 2023 18:50:11 +0300

> From: Spencer Baugh <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Sat, 03 Jun 2023 11:34:44 -0400
> 
> What about a new version of call-process, maybe
> "call-process-allow-lisp", which doesn't stop timers/process
> filters/Lisp/etc from running while Emacs is blocked in it?  Then any
> caller which doesn't want to stop Lisp from running while they are
> waiting for the subprocess can use "call-process-allow-lisp" instead of
> "call-process".

If "Emacs is blocked", timers and process filters cannot run.  So I'm
not sure I understand what you mean here.

if you mean to use start-process instead, then why exactly do we need
a new function?  The building blocks for coding that are already
available, and I very much doubt that you will be able to come up with
one-fits-all combination of them anyway, because of the different
needs: what exactly should be blocked and what not, and how.

> I can implement that if it sounds desirable.  I can also send a mail to
> emacs-devel if you want more discussion of it beforehand.

Yes, please.  This discussion doesn't belong here.